• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!

[Q&A] [GAPPS][2015-06-01] Open GApps for Android 5.1, 5.0, 4.4

Search This thread
Q

QA Bot

Guest
Q&A for [GAPPS][2015-06-01] Open GApps for Android 5.1, 5.0, 4.4

Some developers prefer that questions remain separate from their main development thread to help keep things organized. Placing your question within this thread will increase its chances of being answered by a member of the community or by the developer.

Before posting, please use the forum search and read through the discussion thread for [GAPPS][2015-06-01] Open GApps for Android 5.1, 5.0, 4.4. If you can't find an answer, post it here, being sure to give as much information as possible (firmware version, steps to reproduce, logcat if available) so that you can get help.

Thanks for understanding and for helping to keep XDA neat and tidy! :)
 
  • Like
Reactions: duttyend

dynAdZ

Member
Jun 1, 2015
15
9
Hi, I've performed a clean installation of CM 12.1 and Open GApps on my Nexus 5 today and recognized that "Ok Google" from Androids' home screen is not working. It's turned on in Google settings though. Can you help out?
 

MastahF

Inactive Recognized Developer
Feb 10, 2015
811
2,350
The Hague
github.com
Xiaomi Mi 11
Hi, I've performed a clean installation of CM 12.1 and Open GApps on my Nexus 5 today and recognized that "Ok Google" from Androids' home screen is not working. It's turned on in Google settings though. Can you help out?

I fear this is a problem within the ROM or within Google's app itself. So I am sorry to say we won't be able to help out. :(
 
  • Like
Reactions: duttyend

dynAdZ

Member
Jun 1, 2015
15
9
Thanks for the answer! Do you have more details or any ideas whom I should approach concerning this issue?
 

MastahF

Inactive Recognized Developer
Feb 10, 2015
811
2,350
The Hague
github.com
Xiaomi Mi 11
Thanks for the answer! Do you have more details or any ideas whom I should approach concerning this issue?

You could try the CM developers, but I doubt they would be bothered by an incompatability with an advanced feature of an external app.
Writing to Google probably wouldn't help, since their applications are normally only for 'official' Google-approved ROMs of OEMs.

So I am afraid you're kind of stuck and have to hope for the best it is randomly fixed in some release.
 
  • Like
Reactions: duttyend

dynAdZ

Member
Jun 1, 2015
15
9
Ok fine, I guess I just don't care then :D
Another question: Can I run updates of the Google Apps through the Play Store without any issues?
 

dynAdZ

Member
Jun 1, 2015
15
9
This uses aroma installer, right? Can I choose what gapps I want to be installed?

You can create a gapps-config.txt and place it in the same path where the GApps package is located. Then fill the file with apps you don't want to install (default is exclude mode).

Example content:

Drive
Docs
Earth

(this would exclude Google Drive, Google Docs and Google Earth from the installation).

The full list with all comands is here: github.com/opengapps/opengapps/wiki/Package-Comparison
 

GjorgiDxc

Senior Member
Sep 28, 2014
942
310
Bitola
You can create a gapps-config.txt and place it in the same path where the GApps package is located. Then fill the file with apps you don't want to install (default is exclude mode).

Example content:

Drive
Docs
Earth

(this would exclude Google Drive, Google Docs and Google Earth from the installation).

The full list with all comands is here: github.com/opengapps/opengapps/wiki/Package-Comparison
Yeah, like on pa-gapps, but there is a AROMA gapps in the unstable versions. So I'm going to try it out first :D
 

hjmodi

Senior Member
Oct 20, 2014
171
353
25
Dream Island
@MastahF @TKruzze @raulx222 @Rapper_skull @osm0sis
Hi I use Android One device by google... In stock i was having FaceUnlock
but after moving to CM i was not able to install it using ANY gapps packge

so i was looking for whats wrong
And here is what i found

After skimming through update-binary and update-script of your and others' gapps packages i observed that it check for android.camera.harware.front.xml for front camera compatibility
but some devices(like mine) have front camera compatibility mentioned in android.hardware.camera.xml

So even if there devices are compatible , they will be shown incompatible because of this checking method


Hope you improve it soon to fix this issue
i'm attaching my phone's system/etc/permissions zip so that you can have a look at it
Its from stock and they have mentioned front camera compatibility in android.hardware.camera.xml
 

Attachments

  • permissions.zip
    23.8 KB · Views: 431
Last edited:

MastahF

Inactive Recognized Developer
Feb 10, 2015
811
2,350
The Hague
github.com
Xiaomi Mi 11
@MastahF @TKruzze @raulx222 @Rapper_skull @osm0sis
Hi I use Android One device by google... In stock i was having FaceUnlock
but after moving to CM i was not able to install it using ANY gapps packge

so i was looking for whats wrong
And here is what i found

After skimming through update-binary and update-script of your and others' gapps packages i observed that it check for android.camera.harware.front.xml for front camera compatibility
but some devices(like mine) have front camera compatibility mentioned in android.hardware.camera.xml

So even if there devices are compatible , they will be shown incompatible because of this checking method


Hope you improve it soon to fix this issue
i'm attaching my phone's system/etc/permissions zip so that you can have a look at it
Its from stock and they have mentioned front camera compatibility in android.hardware.camera.xml

Thank you for your input and research!

I fixed the code and am testing it now. If it works I will commit it and you'll be able to find it in tomorrow's nightly.
 

bland.life

Senior Member
Oct 21, 2010
661
117
iron2000.deviantart.com
Is the Aroma version totally compatible with an existing non-Aroma installation?

Also can the Aroma version uninstall specific GApp, like just act like an selectable uninstaller of sorts?
I mean to modify an existing installation.
 

Trialer03

Senior Member
Feb 7, 2011
50
4
I become the error: code 40
I have the BlissPop Rom 3.5 and before the LP-Gapps installed. What is that for a error Code and what can I do?
 

addiepats

Senior Member
Dec 11, 2013
60
11
Had issues with the 6/16 build for arm devices. Downloaded the aroma version but Google keyboard won't install even if I checked it
 

Top Liked Posts

  • There are no posts matching your filters.
  • 3
    20151219.zip:
    Code:
    Installation error in /sideload/package.zip
    (Status 255)
    Installation aborted.

    So with that package actually the verification was OK again. But CM recovery has replaced their busybox with a still half-broken 'Toybox' that doesn't like our /usr/bin/ash line and demands /usr/bin/sh
    It is updated in the source and I have forced that a new ARM build will be created coming night, that should resolve this issue for you.
    3
    I have just clean-installed the latest cm12.1 nightly (march 18th) for Moto-G (2015) on my device, followed by the latest 5.1 Aroma package.
    The installation went fine. No errors. After restarting my phone, I keep getting a notification of "com.google.process.gapps has stopped", and I can't really use my phone.
    I tried repeating the process, with and without wiping data/cache/dalvik/system, with and without reinstalling the ROM. Nothing seems to change.
    My log files are here and here.

    I also see the following exception in my logcat:

    Thank you for your help.
    Last night I added dex2oat experimental code that doesn't seem to work nice on all 5.x ROMs. I adjusted it to be 6.0+ only, so please try with tomorrow's build again, probably the problem will be gone. If you need to have it work now, you can use the this keyword: https://github.com/opengapps/openga...es-and-Options#skip-smart-pre-odexing-of-apks
    3
    I use open_gapps-arm-6.0-pico and I have AOSP keyboard FC with gesture typing. This gapps don't have libjni_latinimegoogle.so.
    Are there plans to include a libjni_latinimegoogle.so in the gapps_pico?
    Yes this the plan, but we have to fix some lib-handling in the scripts per android version, which is not implemented yet.

    Aroma 6.0 not working in cm 13 sultanxda rom. Pico works fine. Aroma freezes in "installing"
    Aroma GApps 5.1.1 is not working on my TWRP (osprey). Is this a problem specific to my phone or...?
    Aroma has known issues. We are dependent of the release of a new libaroma of the Aroma developer. We can't fix it ourselves unfortunately. Try to use the non-aroma packages instead.

    Is there a reason why the Google Dialer has been removed from the Stock pacakge? I have a Nexus 6P and I'm not sure how to get it back.
    Google Dialer didn't work on most ROMs, we are still trying to figure out why with some other devs, but for now it is not in the package. If you wipe /system/, flash your ROM and then Open GApps you should be fine!

    Okay, I know this most likely has been asked before. Is it possible to create a gapps package that installs all the gapps possible leaving necessary amount of space to /system partition for Android to operate and install the rest of the apps that didn't fit in the /system to /data partition?

    Or is it possible to resize the /system partition of Nexus 5 to acommodate full stock gapps package? This is a bit iffier solution but eh.
    I just enjoy having a full gapps package that removes all the stock AOSP apps and CM apps that have their equivalent in gapps package. The picking and choosing what to install into /system and what not leaves me weird - now I have to go to play store and download the app and... Dunno.
    Nope, sorry this isn't easily possible. And we rather don't mess with the /data/ partition to prevent damaging any of the user's data. Try to pick a GApps version that matches the size of your system partition, and if you want to replace AOPS with CM apps you can use stock with a gapps-config file or aroma. Apps that don't fit on your system you can install via the Play Store on your data partition instead.

    Please excuse me for this newbie question. Had downloaded the Aroma zip. I just want to install Google Backup Transport as I had installed all others through Gapps Installer.
    When I flash the zip through TWRP recovery, will there be options to choose ? I don't want to flash other google apks. I couldn't find the answer in the whole thread.
    No sorry, that isn't possible. You can't combine Open GApps with any other GApps. So make sure you don't have any GApps installed before flasing Open GApps.
    3
    @MastahF @TKruzze @raulx222 @Rapper_skull @osm0sis
    Hi I use Android One device by google... In stock i was having FaceUnlock
    but after moving to CM i was not able to install it using ANY gapps packge

    so i was looking for whats wrong
    And here is what i found

    After skimming through update-binary and update-script of your and others' gapps packages i observed that it check for android.camera.harware.front.xml for front camera compatibility
    but some devices(like mine) have front camera compatibility mentioned in android.hardware.camera.xml

    So even if there devices are compatible , they will be shown incompatible because of this checking method


    Hope you improve it soon to fix this issue
    i'm attaching my phone's system/etc/permissions zip so that you can have a look at it
    Its from stock and they have mentioned front camera compatibility in android.hardware.camera.xml
    3
    @MastahF @TKruzze @raulx222 @Rapper_skull @osm0sis
    Hi I use Android One device by google... In stock i was having FaceUnlock
    but after moving to CM i was not able to install it using ANY gapps packge

    so i was looking for whats wrong
    And here is what i found

    After skimming through update-binary and update-script of your and others' gapps packages i observed that it check for android.camera.harware.front.xml for front camera compatibility
    but some devices(like mine) have front camera compatibility mentioned in android.hardware.camera.xml

    So even if there devices are compatible , they will be shown incompatible because of this checking method


    Hope you improve it soon to fix this issue
    i'm attaching my phone's system/etc/permissions zip so that you can have a look at it
    Its from stock and they have mentioned front camera compatibility in android.hardware.camera.xml

    Thank you for your input and research!

    I fixed the code and am testing it now. If it works I will commit it and you'll be able to find it in tomorrow's nightly.